<?
########## Confixx(R) 3.0 Professional ############
####### Copyright SWsoft, Inc. 2004-2005 ##########
#### http://www.sw-soft.com - info@sw-soft.com ####

include_once("auth.php");
include_once("class.MysqlPermissions.php"); 

global $DEBUG;
#$DEBUG=1;

## mysql verbindung aufbauen
db_connect($db_host, $db_user, $db_pass);
## /mysql verbindung aufbauenf

$loUser = new SQLString($PHP_AUTH_USER);

$id = safe_query2( "SELECT frontpage, cssl, maxmysql FROM anbieter WHERE anbieter=?", $loUser);
$werte = db_fetch_array($id);
$skfrontpage = $werte["frontpage"];
$skssl = $werte["cssl"];
$maxmysql = $werte["maxmysql"];
if ($maxmysql != 0) $skmysql = 1;

## berprfen, ob kunde existiert und dem anbieter gehrt
$anbieter = strtolower($anbieter);
$loKunde = new SQLString($kunde);
$id = safe_query2( "SELECT kunde FROM kunden WHERE kunde=? AND anbieter=?", $loKunde, $loUser);
$zeilen = db_num_rows($id);
if ($zeilen <> 1)
{
	$fehlertext = ltext("kuaesp2_error1");
	db_close();
	include("kunden_aendern.php");
	exit();
}
## /berprfen, ob kunde existiert und dem anbieter gehrt

## status des kunden..
$id = safe_query2( "SELECT gesperrt FROM kunden WHERE kunde=? AND anbieter=?", $loKunde, $loUser );
$werte = db_fetch_array($id);
$gesperrt = $werte["gesperrt"];
## /status des kunden...

$defDbPrivs = new MysqlDbPermissions( false, $mysql_user_version );
$defUserPrivs = new MysqlUserPermissions( false, $mysql_user_version );

if ( $sperren <> 'ja') {
	if ( $gesperrt == 1 )	{
		$fehlertext = ltext("kuaesp2_error2",array($kunde));
		$fehlertitel = ltext("kuaesp2_errortitle");
	}	else {
		$fehlertext = ltext("kuaesp2_error3",array($kunde));
		$fehlertitel = ltext("kuaesp2_errortitle");
	}
	include("kunden_aendern.php");
	exit();

} else {
	if ( $gesperrt == 0 )	{
		$gesperrt_set = 1;
		$k_err = 'kuaesp2_error4';

		$defDbPrivs->Lock( true );
		$defUserPrivs->Lock( true );

	}	else 	{
		$gesperrt_set = 0;	
		$k_err = 'kuaesp2_error5';
	}

	safe_query2( "UPDATE kunden SET gesperrt=$gesperrt_set WHERE kunde=? AND anbieter=?", $loKunde, $loUser );
	safe_query2( "UPDATE ftp SET gesperrt=$gesperrt_set WHERE kunde=? AND anbieter=?", $loKunde, $loUser);
	safe_query2( "UPDATE pop3 SET gesperrt=$gesperrt_set WHERE kunde=? AND anbieter=?", $loKunde, $loUser);
	safe_query2( "UPDATE cronjobs SET neu=1 WHERE kunde=?", $loKunde );
	
	$id = safe_query2( "SELECT id FROM domains WHERE kunde=? AND anbieter=? AND richtigedomain=1", $loKunde, $loUser);
	$domains_arr = array();
	while ( $werte = db_fetch_array( $id ) )	{
		$domains_arr[] = $werte['id'];
	}
	if( count( $domains_arr ) )	{
		db_query("UPDATE maillist set gesperrt=$gesperrt_set WHERE domain_id IN (" . implode(',', $domains_arr) . ")");	
	}
	
	$id = db_query("SELECT neukundenreload FROM admin");
	$werte = db_fetch_array($id);
	//$neukundenreload = $werte["neukundenreload"];
	if ($werte["neukundenreload"] == 1)
	{
		db_query("update allgemein set newpwd=1, httpd=1, httpdupdate=0, cronupdate=1");
	}
	else
	{
		db_query("update allgemein set newpwd=1, httpd=1, cronupdate=1");
	}
	$fehlertext = ltext($k_err, array($kunde));
	$fehlertitel = ltext("kuaesp2_errortitle");	
	
	if ( userdb_connect('no_errors') ) {

		$defUserPrivs->check();
		$defDbPrivs->check();

		$lcKunde = $loKunde->SQL();

		$sql = "UPDATE user SET ".$defUserPrivs->getSqlUpdates()." WHERE user=$lcKunde";
		userdb_query( $sql );

		$sql = "UPDATE db SET ".$defDbPrivs->getSqlUpdates()." WHERE user=$lcKunde";
		userdb_query( $sql );

		userdb_query( "FLUSH PRIVILEGES" );
		userdb_close();
	}	

	db_close();
	include("kunden_aendern.php");
}
?>
