<?
########## Confixx(R) 3.0 Professional ############
####### Copyright SWsoft, Inc. 2004-2005 ##########
#### http://www.sw-soft.com - info@sw-soft.com ####

$lang_version = '3.0.7';
$lang_short = 'en';
$lang_name_int = 'English';
$lang_name_nat = 'English';

$lang_html_charset = 'iso-8859-1';

$lang_months[1] = 'January';
$lang_months[2] = 'February';
$lang_months[3] = 'March';
$lang_months[4] = 'April';
$lang_months[5] = 'May';
$lang_months[6] = 'June';
$lang_months[7] = 'July';
$lang_months[8] = 'August';
$lang_months[9] = 'September';
$lang_months[10] = 'October';
$lang_months[11] = 'November';
$lang_months[12] = 'December';

$lang_format_date = 'n/j/Y';					# 1/13/2000
$lang_format_datetime_short = 'd/m - H:i';		# 13/01 - 08:09
$lang_format_datetime_long = 'm/d/y - H:i:s';	# 01/13/00 - 08:09:59
$lang_format_time = 'H:i:s';					# 08:09:59

$lang_format_sep_dec = '.';
$lang_format_sep_kilo = ',';
$lang_format_kb_expr = 'KB';
$lang_format_mb_expr = 'MB';
$lang_format_gb_expr = 'GB';

$lang_text["reg_menu_help"] = 'Help';

## common
$lang_text['errtype_notice'] = 'Notice:';
$lang_text['errtype_warning'] = 'Warning:';
$lang_text['errtype_error'] = 'Error:';

$lang_text['errtype_notices'] = 'Notices:';
$lang_text['errtype_warnings'] = 'Warnings:';
$lang_text['errtype_errors'] = 'Errors:';

## // common


## login
$lang_text['form_username'] = 'Login:';
$lang_text['form_password'] = 'Password:';
$lang_text['form_email'] = 'E-mail:';
$lang_text['form_login'] = 'Log in';
$lang_text['form_cancel'] = 'Cancel';
$lang_text['form_sent_pwd'] = 'Send password by e-mail';
$lang_text['form_logintext'] = 'Enter the login name into "Login" and password into the "Password" fields respectively. Then click "Log in".';
$lang_text['form_please_login'] = 'Please login';
$lang_text['form_get_password'] = 'Get password';

$lang_text['form_bad_username'] = 'Invalid username or password';
$lang_text['form_bad_ip'] = 'Invalid IP';


$lang_text['lost_pwd_forgot'] = 'Forgot your password?';
$lang_text['lost_pwd_forgot_warning'] = '<p><b>Attention!!!</b></p>
<p>Sending password by email is insecure!</p>
<p>You must have a valid email address registered in the system for succesfull password delivery!</p>
<p>Enter your login and email registered in the system for the password delivery.</p>';
$lang_text['lost_pwd_forgot_text'] = 'If you forgot your password we will try to help you by sending it out to your email.';
$lang_text['lost_admin_pwd'] = 'Restoring administrator\'s password is not allowed to be performed remotely. Refer to the documentation or to your support service to find out the system administrator password restoration routine.';
$lang_text['lost_pwd_sent'] = 'Password sent by e-mail';
$lang_text['lost_pwd_mail'] = 'New password for user $VAR[0] is $VAR[1]';
$lang_text['lost_pwd_mail_subj'] = 'Password changed';
$lang_text['lost_pwd_nomail'] = 'Identification failed. Invalid login or email specified. Check them and try again.';
$lang_text['lost_pwd_nomail_reseller'] = 'Invalid email address is specified for login account \'$VAR[0]\'. Contact your server administrator for restoring your password.';
$lang_text['lost_pwd_nomail_user'] = 'Invalid email address is specified for login account \'$VAR[0]\'. Contact your reseller or server administrator for restoring your password.';
$lang_text['lost_pwd_ftppopuser'] = 'You are trying to restore password for WebFTP or WebMail application. Contact the user created your login account for resetting your password.';
$lang_text['m_logout'] = 'Logout';
## // login

## default users
$lang_text['sh_back_to_admin'] = 'Back to admin';
$lang_text['sh_domains'] = 'Domains';
$lang_text['sh_services'] = 'Services';
## // default users


/* -------------------- text used by lists -------------------- */
$lang_text["ll_add"] = "Add";
$lang_text["ll_cancel"] = "Cancel";
$lang_text["ll_search"] = "Search";
$lang_text["ll_apply"] = "Apply data";
$lang_text["ll_delete"] = "Delete";
$lang_text["ll_next"] = "Next page";
$lang_text["ll_prev"] = "Previous page";
$lang_text["ll_delquest"] = "Delete selected items?";
$lang_text["ll_confirm"] = "Confirm";
$lang_text["ll_any"] = "Any";
$lang_text["ll_empty_search"] = 'Search returned no results.';
$lang_text["ll_save"] = 'Save';
$lang_text["ll_total"] = 'Item(s) $VAR[0] - $VAR[1] of $VAR[2] total';
$lang_text["ll_pages"] = 'Pages:';
$lang_text["ll_perpage"] = 'Items per page';
/* -------------------- end text used by lists -------------------- */

/* -------------------- text used by help frame -------------------- */
$lang_text['help_frame__header'] = 'Help';
$lang_text['help_frame__hide'] = 'Hide Help';
$lang_text['help_frame__show'] = 'Show Help';
/* ---------------- end of text used by help frame ----------------- */

$lang_text['messages__no_messages'] = 'No messages available!';

// SECTION: measurement units
$lang_text['measure__minutes'] = '$VAR[0] minute(s)';
$lang_text['measure__hours']   = '$VAR[0] hour(s)';

$lang_text['confixx_easy'] = 'Confixx Easy';
$lang_text["sqltype_bad_number"] = 'Number format error';
$lang_text["sqltype_wrong_arguments"] = 'Wrong number of arguments in safe_query function';
$lang_text["sqltype_bad_parameter"] = 'Bad argument in safe_query function';


?>
